Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Messaging::PolicyValue::_tao_seq_Octet Class Reference

`#include <Messaging_PolicyValueC.h>`

Inheritance diagram for Messaging::PolicyValue::_tao_seq_Octet:

[legend]
Collaboration diagram for Messaging::PolicyValue::_tao_seq_Octet:

[legend]
List of all members.

## Public Methods
| _tao_seq_Octet (void)
| _tao_seq_Octet (CORBA::ULong max)
| _tao_seq_Octet (CORBA::ULong max, CORBA::ULong length, CORBA::Octet *buffer, CORBA::Boolean release=0)
| _tao_seq_Octet (const _tao_seq_Octet &)
| ~_tao_seq_Octet (void)
| _tao_seq_Octet (CORBA::ULong length, const ACE_Message_Block *mb)
## Static Public Methods
void | _tao_any_destructor (void *)
| Use in the implementation of insertion and extraction operators from CORBA::Any. More...

## Constructor & Destructor Documentation

Messaging::PolicyValue::_tao_seq_Octet::_tao_seq_Octet | ( | void |  | ) |

Messaging::PolicyValue::_tao_seq_Octet::_tao_seq_Octet | ( | CORBA::ULong | max | ) |

Messaging::PolicyValue::_tao_seq_Octet::_tao_seq_Octet | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | CORBA::Octet * | buffer,
|  | CORBA::Boolean | release = 0
| ) |

Messaging::PolicyValue::_tao_seq_Octet::_tao_seq_Octet | ( | const _tao_seq_Octet & | seq | ) |

Messaging::PolicyValue::_tao_seq_Octet::~_tao_seq_Octet | ( | void |  | ) |

Messaging::PolicyValue::_tao_seq_Octet::_tao_seq_Octet | ( | CORBA::ULong | length,
|  | const ACE_Message_Block * | mb
| ) | `[inline]`

## Member Function Documentation

void Messaging::PolicyValue::_tao_seq_Octet::_tao_any_destructor | ( | void * | _tao_void_pointer | ) | `[static]`

| Use in the implementation of insertion and extraction operators from CORBA::Any. Reimplemented from TAO_Unbounded_Sequence< CORBA::Octet >.

The documentation for this class was generated from the following files:

- Messaging_PolicyValueC.h
- Messaging_PolicyValueC.cpp